[gentoo-user-fr] Pas moyen de 'démasquer' un paquetage

Le
Stephane Bortzmeyer
% sudo emerge nstx
Calculating dependencies
!!! All ebuilds that could satisfy "nstx" have been masked.
!!! One of the following masked packages is required to complete your
request:
- net-misc/nstx-1.1_beta6 (masked by: missing keyword)
- net-misc/nstx-1.1_beta6-r1 (masked by: missing keyword)
- net-misc/nstx-1.1_beta6-r2 (masked by: missing keyword)

Or, j'ai mis nstx dans /etc/portage/package.keywords :

# 2007-03-17
# masked by: missing keyword
net-misc/nstx

et dans /etc/portage/package.unmask (même ligne).

Que dois-je faire de plus pour 'démasquer' nstx ?

--
gentoo-user-fr@gentoo.org mailing list
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Pierre-Yves Rofes
Le #7804481
On Wed, March 28, 2007 9:53 pm, Stephane Bortzmeyer wrote:
% sudo emerge nstx
Calculating dependencies
!!! All ebuilds that could satisfy "nstx" have been masked.
!!! One of the following masked packages is required to complete your
request:
- net-misc/nstx-1.1_beta6 (masked by: missing keyword)
- net-misc/nstx-1.1_beta6-r1 (masked by: missing keyword)
- net-misc/nstx-1.1_beta6-r2 (masked by: missing keyword)

Or, j'ai mis nstx dans /etc/portage/package.keywords :

# 2007-03-17
# masked by: missing keyword
net-misc/nstx

et dans /etc/portage/package.unmask (même ligne).

Que dois-je faire de plus pour 'démasquer' nstx ?




Pour demasquer un package en ~x86 il faut juste mettre:
category/package ~x86
dans le package.keywords, et ca marche, pas besoin
de toucher au package.unmask (qui lui sert pour les
packages reellement masques et non en ~arch)


--
Pierre-Yves Rofes

--
mailing list
Stephane Bortzmeyer
Le #7804471
On Wed, Mar 28, 2007 at 10:17:44PM +0200,
Pierre-Yves Rofes a message of 34 lines which said:

Pour demasquer un package en ~x86 il faut juste mettre:
category/package ~x86



Hmmm, c'est une machine AMD64. Donc, j'ai mis dans package.keywords:

net-misc/nstx ~amd64

Et c'est pareil :

% sudo emerge nstx
Calculating dependencies
!!! All ebuilds that could satisfy "nstx" have been masked.
!!! One of the following masked packages is required to complete your request:
- net-misc/nstx-1.1_beta6 (masked by: missing keyword)
- net-misc/nstx-1.1_beta6-r1 (masked by: missing keyword)
- net-misc/nstx-1.1_beta6-r2 (masked by: missing keyword)

Apparemment
(http://www.gentoo.org/doc/en/gentoo-amd64-faq.xml#keyword), il faut
mettre:

category/package ~* *
--
mailing list
Boris Fersing
Le #7804461
2007/3/28, Stephane Bortzmeyer
On Wed, Mar 28, 2007 at 10:17:44PM +0200,
Pierre-Yves Rofes a message of 34 lines which said:

> Pour demasquer un package en ~x86 il faut juste mettre:
> category/package ~x86

Hmmm, c'est une machine AMD64. Donc, j'ai mis dans package.keywords:

net-misc/nstx ~amd64



Salut,

net-misc/nstx et net-misc/nstx ~amd64 c'est pareil étant donné que le
~arch est sous-entendu lorsque l'on met seulement category/package
dans package.keywords

Dans ton cas, le paquet est uniquement disponible pour ~x86 donc en
effet, mettre category/package ~x86 dans le package.keywords est la
solution. (~* marche aussi mais c'est inutile)

Boris.


Et c'est pareil :

% sudo emerge nstx
Calculating dependencies
!!! All ebuilds that could satisfy "nstx" have been masked.
!!! One of the following masked packages is required to complete your req uest:
- net-misc/nstx-1.1_beta6 (masked by: missing keyword)
- net-misc/nstx-1.1_beta6-r1 (masked by: missing keyword)
- net-misc/nstx-1.1_beta6-r2 (masked by: missing keyword)

Apparemment
(http://www.gentoo.org/doc/en/gentoo-amd64-faq.xml#keyword), il faut
mettre:

category/package ~* *
--
mailing list






--
$ ruby -e'puts " .:@BFegiklnorst".unpack("x4ax7aaX6ax5aX15ax4aax6aaX7ax2
aX5aX8axaX3ax8aX4ax6aX3aX6ax3ax3aX9ax4ax2aX9axaX6ax3aX2ax4
ax3aX4aXaX12ax10aaX7a").join'
--
mailing list
Publicité
Poster une réponse
Anonyme